Subject: [PMOL] Performance Metrics Directorate Review of draft-tempia-opsawg-p3m
From: Al Morton <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 09 Apr 2012 10:11:31 -0400
List-Id: Performance Metrics Directorate list <pmol.ietf.org>

OPSAWG,

Vinayak Hegde, a member of the Performance Metrics Directorate,

has reviewed the subject draft.

We offer this early review as part of our directorate mission.

http://www.ietf.org/iesg/directorate/performance-metrics.html

regards,

Al

directorate admin

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Comments on draft-tempia-opsawg-p3m

(
http://datatracker.ietf.org/doc/draft-tempia-opsawg-p3m/)

These comments are for the -01 version on this draft.

1. Doesn't reference prior work in IPPM by RFC number (in the

References section). This is important as the approaches for passive

measurement seem to borrow heavily from the concepts of the IPPM

drafts (active measurements)

IPPM Delay

http://tools.ietf.org/html/rfc2679

IPPM Loss

http://tools.ietf.org/html/rfc2680

2. The draft does not take into out-of-order packet arrivals which
is

possible in a real world scenario. Would the counters be updated or

how will they be switched off. Are there any conditions for
timeouts.

If so, they are not explicitly mentioned.

3. Adding more implementation details of how colouring is done will
be

done will help as it one of the main proposals of the draft. It has

not be covered in sufficient detail - only a few sentences mention

that certain DSCP bits be set but elsewhere the draft mentions that

several "colours" can be used in traffic flows.

4. In sections 6.3 monitoring nodes when there is periodic reading
of

counters, it seems that the implicit upper bound on timeout of 5

minutes as counters are read every 5 minutes. Also there are time

synchnoisation issues when multiple intermediate elements are
involved

in measurement.

5. The authors should elaborate on the data collection methods from

various routers since such measurements may be near real-time to

enable reactions from people monitoring the network. Scalability

concerns apply here when multiple monitoring nodes are needed.

Return-Path:
X-Original-To: [email-masked]
Delivered-To: [email-masked]
Received: from localhost (localhost [127.0.0.1]) by ietfa.amsl.com (Postfix) with ESMTP id D77B221F8736 for ; Mon, 9 Apr 2012 07:03:22 -0700 (PDT)
X-Virus-Scanned: amavisd-new at amsl.com
X-Spam-Flag: NO
X-Spam-Score: -104.367
X-Spam-Level:
X-Spam-Status: No, score=-104.367 tagged_above=-999 required=5 tests=[AWL=1.429, BAYES_00=-2.599, MSGID_FROM_MTA_HEADER=0.803, RCVD_IN_DNSWL_MED=-4, USER_IN_WHITELIST=-100]
Received: from mail.ietf.org ([12.22.58.30]) by localhost (ietfa.amsl.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id WYXzhLVxvfOU for ; Mon, 9 Apr 2012 07:03:22 -0700 (PDT)
Received: from nbfkord-smmo03.seg.att.com (nbfkord-smmo03.seg.att.com [209.65.160.84]) by ietfa.amsl.com (Postfix) with ESMTP id 0ACE421F8734 for ; Mon, 9 Apr 2012 07:03:21 -0700 (PDT)
Received: from unknown [144.160.20.145] (EHLO mlpd192.enaf.sfdc.sbc.com) by nbfkord-smmo03.seg.att.com(mxl_mta-6.11.0-8) over TLS secured channel with ESMTP id 92ce28f4.0.226982.00-463.602526.nbfkord-smmo03.seg.att.com (envelope-from ); Mon, 09 Apr 2012 14:03:22 +0000 (UTC)
X-MXL-Hash: 4f82ec2a0a1bdcdd-0200ceba4cd0f1a7fbed13872b2940da1c07b2d5
Received: from enaf.sfdc.sbc.com (localhost.localdomain [127.0.0.1]) by mlpd192.enaf.sfdc.sbc.com (8.14.5/8.14.5) with ESMTP id q39E3KeS016017 for ; Mon, 9 Apr 2012 10:03:21 -0400
Received: from sflint01.pst.cso.att.com (sflint01.pst.cso.att.com [144.154.234.228]) by mlpd192.enaf.sfdc.sbc.com (8.14.5/8.14.5) with ESMTP id q39E3E3x015980 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Mon, 9 Apr 2012 10:03:15 -0400
Received: from alpd052.aldc.att.com (alpd052.aldc.att.com [130.8.42.31]) by sflint01.pst.cso.att.com (RSA Interceptor) for ; Mon, 9 Apr 2012 10:02:38 -0400
Received: from aldc.att.com (localhost.localdomain [127.0.0.1]) by alpd052.aldc.att.com (8.14.4/8.14.4) with ESMTP id q39E2cUC030800 for ; Mon, 9 Apr 2012 10:02:38 -0400
Received: from mailgw1.maillennium.att.com (mailgw1.maillennium.att.com [135.25.114.99]) by alpd052.aldc.att.com (8.14.4/8.14.4) with ESMTP id q39E2TwT030202 for ; Mon, 9 Apr 2012 10:02:30 -0400
Message-Id: <[email-masked]>
Received: from acmt.att.com (martym.mt.att.com[135.16.251.71](misconfigured sender)) by maillennium.att.com (mailgw1) with SMTP id <20120409135932gw1004or3de>; Mon, 9 Apr 2012 13:59:32 +0000
X-Originating-IP: [135.16.251.71]
X-Mailer: QUALCOMM Windows Eudora Version 7.1.0.9
Date: Mon, 09 Apr 2012 10:03:38 -0400
To: Vinayak Hegde
From: Al Morton
In-Reply-To:
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"; format=flowed
X-RSA-Inspected: yes
X-RSA-Classifications: public
X-RSA-Action: allow
X-Spam: [F=0.2000000000; CM=0.500; S=0.200(2010122901)]
X-MAIL-FROM:
X-SOURCE-IP: [144.160.20.145]
X-AnalysisOut: [v=1.0 c=1 a=dit6Jc5sqrAA:10 a=HGOELgx6o6gA:10 a=ofMgfj31e3]
X-AnalysisOut: [cA:10 a=BLceEmwcHowA:10 a=kj9zAlcOel0A:10 a=ZRNLZ4dFUbCvG8]
X-AnalysisOut: [UMqPvVAA==:17 a=48vgC7mUAAAA:8 a=pGLkceISAAAA:8 a=zQP7CpKO]
X-AnalysisOut: [AAAA:8 a=Hq4sK8U8LJ12gXVHFWQA:9 a=B-dm8D38xdZv-cEGGWAA:7 a]
X-AnalysisOut: [=CjuIK1q_8ugA:10 a=MSl-tDqOz04A:10 a=Hz7IrDYlS0cA:10 a=lZB]
X-AnalysisOut: [815dzVvQA:10 a=sc5h9c8DAOi4Ijew:21 a=31BAk16h__crEIgP:21]
Cc: "[email-masked]"
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.12
Precedence: list
List-Id: Performance Metrics Directorate list
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
X-List-Received-Date: Mon, 09 Apr 2012 14:03:23 -0000

Thanks, Vin!

I will forward your review to opsawg, and CC your address.

Al

At 03:30 PM 4/8/2012, Vinayak Hegde wrote:
>Comments on draft-tempia-opsawg-p3m
>(http://datatracker.ietf.org/doc/draft-tempia-opsawg-p3m/)
>
>These comments are for the -01 version on this draft.
>
>1. Doesn't reference prior work in IPPM by RFC number (in the
>References section). This is important as the approaches for passive
>measurement seem to borrow heavily from the concepts of the IPPM
>drafts (active measurements)
>
>IPPM Delay http://tools.ietf.org/html/rfc2679
>IPPM Loss http://tools.ietf.org/html/rfc2680
>
>2. The draft does not take into out-of-order packet arrivals which is
>possible in a real world scenario. Would the counters be updated or
>how will they be switched off. Are there any conditions for timeouts.
>If so, they are not explicitly mentioned.
>
>3. Adding more implementation details of how colouring is done will be
>done will help as it one of the main proposals of the draft. It has
>not be covered in sufficient detail - only a few sentences mention
>that certain DSCP bits be set but elsewhere the draft mentions that
>several "colours" can be used in traffic flows.
>
>4. In sections 6.3 monitoring nodes when there is periodic reading of
>counters, it seems that the implicit upper bound on timeout of 5
>minutes as counters are read every 5 minutes. Also there are time
>synchnoisation issues when multiple intermediate elements are involved
>in measurement.
>
>5. The authors should elaborate on the data collection methods from
>various routers since such measurements may be near real-time to
>enable reactions from people monitoring the network. Scalability
>concerns apply here when multiple monitoring nodes are needed.
>
>Skipping the other draft as I do not know the nuances of underlying
>protocols and it references other drafts which are also in transition.
>
>Regards
>Vinayak
>
>On Tue, Mar 27, 2012 at 9:42 PM, Vinayak Hegde wrote:
> > I can review both drafts by this weekend.
> >
> > Regards
> > Vinayak
> >
> > On Tue, Mar 27, 2012 at 9:11 PM, Al Morton wrote:
> >>
> >> Any volunteers to review?
> >>
> >>
> >>
> >> At 10:57 AM 3/27/2012, Yaakov Stein wrote:
> >>>
> >>> Other than draft-tempia-opsawg-p3m, which we have discussed before,
> >>> I would suggest looking into the work proposed in MPLS on
> >>> performance-based path selection
> >>> (e.g., draft-atlas-mpls-te-express-path).
> >>
> >>
> >> _______________________________________________
> >> PMOL mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/pmol

Return-Path:
X-Original-To: [email-masked]
Delivered-To: [email-masked]
Received: from localhost (localhost [127.0.0.1]) by ietfa.amsl.com (Postfix) with ESMTP id 0698E21F8505 for ; Sun, 8 Apr 2012 12:30:56 -0700 (PDT)
X-Virus-Scanned: amavisd-new at amsl.com
X-Spam-Flag: NO
X-Spam-Score: -3.599
X-Spam-Level:
X-Spam-Status: No, score=-3.599 tagged_above=-999 required=5 tests=[BAYES_00=-2.599, RCVD_IN_DNSWL_LOW=-1]
Received: from mail.ietf.org ([12.22.58.30]) by localhost (ietfa.amsl.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id zMuNbj3UGbDH for ; Sun, 8 Apr 2012 12:30:55 -0700 (PDT)
Received: from mail-vb0-f44.google.com (mail-vb0-f44.google.com [209.85.212.44]) by ietfa.amsl.com (Postfix) with ESMTP id 451DA21F84FD for ; Sun, 8 Apr 2012 12:30:55 -0700 (PDT)
Received: by vbbez10 with SMTP id ez10so2280475vbb.31 for ; Sun, 08 Apr 2012 12:30:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113; h=mime-version:in-reply-to:references:date:message-id:subject:from:to :cc:content-type; bh=rRlUxZiuqpkkLT+DuIELekWBBsHgOuHnkgEjEKUuW+0=; b=SEYGQxOwlWe0zFRv+xGZd5qHWqNo+B1QkAmuz+vJeXrkX+Xvn8zslgtYBUgZB6NbEI veN5Z5/PqxlWjCXdC9JJiYa9mlKN5M6xc8w5HFFmIlrvmHgqUvcr/afqvexoaE0wavkO kpwuojWDhAQRx4wWNKDUBU9Bq3aQxOuu+0+AMQ2J+43UP0JiD//yToxmdq2gPGVG8eTi hAzSIKjG2zZDGcekJ2zvGb9SaCgSSqe6r6STMMrTloUCQk5TqwD9MMkTp48veCHz9pRI AcorMNiyVyqPYWwpOkaIxANyX+or+k2Ornodcu6ZO+uZ79Bqmee+W8dkhntQwELGNK1b sbWQ==
MIME-Version: 1.0
Received: by 10.220.148.71 with SMTP id o7mr2429194vcv.34.1333913454771; Sun, 08 Apr 2012 12:30:54 -0700 (PDT)
Received: by 10.52.36.148 with HTTP; Sun, 8 Apr 2012 12:30:54 -0700 (PDT)
In-Reply-To:
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Date: Mon, 9 Apr 2012 01:00:54 +0530
Message-ID:
From: Vinayak Hegde
To: Al Morton
Content-Type: text/plain; charset=ISO-8859-1
Cc: "[email-masked]"
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.12
Precedence: list
List-Id: Performance Metrics Directorate list
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
X-List-Received-Date: Sun, 08 Apr 2012 19:30:56 -0000

Comments on draft-tempia-opsawg-p3m
(http://datatracker.ietf.org/doc/draft-tempia-opsawg-p3m/)

These comments are for the -01 version on this draft.

1. Doesn't reference prior work in IPPM by RFC number (in the
References section). This is important as the approaches for passive
measurement seem to borrow heavily from the concepts of the IPPM
drafts (active measurements)

IPPM Delay http://tools.ietf.org/html/rfc2679
IPPM Loss http://tools.ietf.org/html/rfc2680

2. The draft does not take into out-of-order packet arrivals which is
possible in a real world scenario. Would the counters be updated or
how will they be switched off. Are there any conditions for timeouts.
If so, they are not explicitly mentioned.

3. Adding more implementation details of how colouring is done will be
done will help as it one of the main proposals of the draft. It has
not be covered in sufficient detail - only a few sentences mention
that certain DSCP bits be set but elsewhere the draft mentions that
several "colours" can be used in traffic flows.

4. In sections 6.3 monitoring nodes when there is periodic reading of
counters, it seems that the implicit upper bound on timeout of 5
minutes as counters are read every 5 minutes. Also there are time
synchnoisation issues when multiple intermediate elements are involved
in measurement.

5. The authors should elaborate on the data collection methods from
various routers since such measurements may be near real-time to
enable reactions from people monitoring the network. Scalability
concerns apply here when multiple monitoring nodes are needed.

Skipping the other draft as I do not know the nuances of underlying
protocols and it references other drafts which are also in transition.

Regards
Vinayak

On Tue, Mar 27, 2012 at 9:42 PM, Vinayak Hegde wrote:
> I can review both drafts by this weekend.
>
> Regards
> Vinayak
>
> On Tue, Mar 27, 2012 at 9:11 PM, Al Morton wrote:
>>
>> Any volunteers to review?
>>
>>
>>
>> At 10:57 AM 3/27/2012, Yaakov Stein wrote:
>>>
>>> Other than draft-tempia-opsawg-p3m, which we have discussed before,
>>> I would suggest looking into the work proposed in MPLS on
>>> performance-based path selection
>>> (e.g., draft-atlas-mpls-te-express-path).
>>
>>
>> _______________________________________________
>> PMOL mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/pmol

Return-Path:
X-Original-To: [email-masked]
Delivered-To: [email-masked]
Received: from localhost (localhost [127.0.0.1]) by ietfa.amsl.com (Postfix) with ESMTP id E227421F84C4 for ; Mon, 2 Apr 2012 07:22:03 -0700 (PDT)
X-Virus-Scanned: amavisd-new at amsl.com
X-Spam-Flag: NO
X-Spam-Score: -102.598
X-Spam-Level:
X-Spam-Status: No, score=-102.598 tagged_above=-999 required=5 tests=[AWL=0.000, BAYES_00=-2.599, UNPARSEABLE_RELAY=0.001, USER_IN_WHITELIST=-100]
Received: from mail.ietf.org ([12.22.58.30]) by localhost (ietfa.amsl.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id iNwNe74C0n7f for ; Mon, 2 Apr 2012 07:22:03 -0700 (PDT)
Received: from rad.co.il (mailrelay01.rad.co.il [62.0.23.252]) by ietfa.amsl.com (Postfix) with ESMTP id 491A621F849A for ; Mon, 2 Apr 2012 07:22:00 -0700 (PDT)
Received: from Internal Mail-Server by MailRelay01 (envelope-from yaakov?[email-masked]) with AES128-SHA encrypted SMTP; 2 Apr 2012 16:56:17 +0300
Received: from EXRAD5.ad.rad.co.il ([192.114.24.28]) by EXRAD5.ad.rad.co.il ([192.114.24.28]) with mapi id 14.01.0323.003; Mon, 2 Apr 2012 17:10:31 +0300
From: Yaakov Stein
To: Carlos Pignataro
Thread-Topic: [PMOL] Thoughts on how we operate as a Directorate
Thread-Index: AQHNDB9BT1u7vUDtwU+tVtkGc/SkNpZ+N7rggAkSNoCAAFJTUA==
Date: Mon, 2 Apr 2012 14:10:29 +0000
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
x-originating-ip: [172.17.140.53]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Commtouch-Refid: str=0001.0A020208.4F79B35F.00B4,ss=1,fgs=0
Cc: "[email-masked]"
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.12
Precedence: list
List-Id: Performance Metrics Directorate list
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
X-List-Received-Date: Mon, 02 Apr 2012 14:22:04 -0000

Carlos

Yes, I was afraid of that (which I why I said "At least for now").

We definitely have to follow this work.

Y(J)S

-----Original Message-----
From: Carlos Pignataro [mailto:[email-masked]]=20
Sent: Monday, April 02, 2012 15:15
To: Yaakov Stein
Cc: Al Morton; Romascanu, Dan (Dan); [email-masked]
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate

No additional documents to review, but please find one comment inline.

On Mar 27, 2012, at 4:57 PM, Yaakov Stein wrote:

> Other than draft-tempia-opsawg-p3m, which we have discussed before, I=20
> would suggest looking into the work proposed in MPLS on=20
> performance-based path selection (e.g., draft-atlas-mpls-te-express-path)=
.
>=20
> Had we been ready earlier, we would have taken a look at what became=20
> RFC 6374 and 6375, but that is now water under the bridge.
>=20
> I checked the OAM proposal in trill (draft-ietf-trill-rbridge-oam) and=20
> it is pure FM OAM, with no PM features. At least for now.

Even though it is not in the documents, there were some discussions about p=
assive performance metrics in OAM discussions (traceflow, IIRC even trill).=
So I think this is an area to snoop for how things progress.

Thanks,

-- Carlos.

>=20
> Y(J)S
>=20
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf=20
> Of Al Morton
> Sent: Tuesday, March 27, 2012 15:41
> To: Romascanu, Dan (Dan); [email-masked]
> Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
>=20
> At 11:49 AM 1/23/2012, Romascanu, Dan (Dan) wrote:
>> Probably going beyond the name of the document is desirable - looking=20
>> into the content for strings like 'performance metrics', 'performance=20
>> monitoring', etc. could reveal things that are missed by just=20
>> scanning the titles.
>=20
> So, now that we've all had a chance to wade through docs in our normal=20
> working areas:
>=20
> Has anyone seen a draft we should be reviewing/considering?
>=20
> Let us all know, and we'll take the next steps, Al
>=20
>=20
>=20
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol
>=20

Return-Path:
X-Original-To: [email-masked]
Delivered-To: [email-masked]
Received: from localhost (localhost [127.0.0.1]) by ietfa.amsl.com (Postfix) with ESMTP id 0B90921F85C0 for ; Mon, 2 Apr 2012 05:50:14 -0700 (PDT)
X-Virus-Scanned: amavisd-new at amsl.com
X-Spam-Flag: NO
X-Spam-Score: -101.796
X-Spam-Level:
X-Spam-Status: No, score=-101.796 tagged_above=-999 required=5 tests=[BAYES_00=-2.599, MSGID_FROM_MTA_HEADER=0.803, USER_IN_WHITELIST=-100]
Received: from mail.ietf.org ([12.22.58.30]) by localhost (ietfa.amsl.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id lw1D49RoSf5P for ; Mon, 2 Apr 2012 05:50:13 -0700 (PDT)
Received: from nbfkord-smmo06.seg.att.com (nbfkord-smmo06.seg.att.com [209.65.160.94]) by ietfa.amsl.com (Postfix) with ESMTP id AC8D521F8567 for ; Mon, 2 Apr 2012 05:50:09 -0700 (PDT)
Received: from unknown [144.160.20.145] (EHLO mlpd192.enaf.sfdc.sbc.com) by nbfkord-smmo06.seg.att.com(mxl_mta-6.11.0-8) over TLS secured channel with ESMTP id 180a97f4.0.210972.00-377.560360.nbfkord-smmo06.seg.att.com (envelope-from ); Mon, 02 Apr 2012 12:50:12 +0000 (UTC)
X-MXL-Hash: 4f79a0841a0694af-82d73cd424c829b67370b03281f4b839c9e513a7
Received: from enaf.sfdc.sbc.com (localhost.localdomain [127.0.0.1]) by mlpd192.enaf.sfdc.sbc.com (8.14.5/8.14.5) with ESMTP id q32Co8xo014786 for ; Mon, 2 Apr 2012 08:50:09 -0400
Received: from sflint01.pst.cso.att.com (sflint01.pst.cso.att.com [144.154.234.228]) by mlpd192.enaf.sfdc.sbc.com (8.14.5/8.14.5) with ESMTP id q32Co41a014733 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Mon, 2 Apr 2012 08:50:05 -0400
Received: from alpd052.aldc.att.com (alpd052.aldc.att.com [130.8.42.31]) by sflint01.pst.cso.att.com (RSA Interceptor) for ; Mon, 2 Apr 2012 08:49:42 -0400
Received: from aldc.att.com (localhost.localdomain [127.0.0.1]) by alpd052.aldc.att.com (8.14.4/8.14.4) with ESMTP id q32CngEo014631 for ; Mon, 2 Apr 2012 08:49:42 -0400
Received: from mailgw1.maillennium.att.com (dns.maillennium.att.com [135.25.114.99]) by alpd052.aldc.att.com (8.14.4/8.14.4) with ESMTP id q32Cnc0r014503 for ; Mon, 2 Apr 2012 08:49:39 -0400
Message-Id: <[email-masked]>
Received: from acmt.att.com (ds135-16-251-225.dhcps.ugn.att.com[135.16.251.225](misconfigured sender)) by maillennium.att.com (mailgw1) with SMTP id <20120402124646gw1004orn5e>; Mon, 2 Apr 2012 12:46:46 +0000
X-Originating-IP: [135.16.251.225]
X-Mailer: QUALCOMM Windows Eudora Version 7.1.0.9
Date: Mon, 02 Apr 2012 08:50:46 -0400
To: Carlos Pignataro , Yaakov Stein
From: Al Morton
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"; format=flowed
X-RSA-Inspected: yes
X-RSA-Classifications: public
X-RSA-Action: allow
X-Spam: [F=0.2000000000; CM=0.500; S=0.200(2010122901)]
X-MAIL-FROM:
X-SOURCE-IP: [144.160.20.145]
X-AnalysisOut: [v=1.0 c=1 a=b3MHB_GQ4iAA:10 a=HGOELgx6o6gA:10 a=ofMgfj31e3]
X-AnalysisOut: [cA:10 a=BLceEmwcHowA:10 a=kj9zAlcOel0A:10 a=ZRNLZ4dFUbCvG8]
X-AnalysisOut: [UMqPvVAA==:17 a=AlZLDW7aEELZ-Kah0hoA:9 a=CjuIK1q_8ugA:10]
Cc: "[email-masked]"
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.12
Precedence: list
List-Id: Performance Metrics Directorate list
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
X-List-Received-Date: Mon, 02 Apr 2012 12:50:14 -0000

At 08:15 AM 4/2/2012, Carlos Pignataro wrote:
>...Even though it is not in the documents, there were some
>discussions about passive performance metrics in OAM discussions
>(traceflow, IIRC even trill). So I think this is an area to snoop
>for how things progress.

I agree, is anyone following trill on a regular basis?

Nice work published on April 1st, Carlos!
Al

Return-Path:
X-Original-To: [email-masked]
Delivered-To: [email-masked]
Received: from localhost (localhost [127.0.0.1]) by ietfa.amsl.com (Postfix) with ESMTP id 6641521F87F2 for ; Mon, 2 Apr 2012 05:15:08 -0700 (PDT)
X-Virus-Scanned: amavisd-new at amsl.com
X-Spam-Flag: NO
X-Spam-Score: -110.599
X-Spam-Level:
X-Spam-Status: No, score=-110.599 tagged_above=-999 required=5 tests=[BAYES_00=-2.599, RCVD_IN_DNSWL_HI=-8, USER_IN_WHITELIST=-100]
Received: from mail.ietf.org ([12.22.58.30]) by localhost (ietfa.amsl.com [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id HyDKpWQ9Xe18 for ; Mon, 2 Apr 2012 05:15:07 -0700 (PDT)
Received: from ams-iport-1.cisco.com (ams-iport-1.cisco.com [144.254.224.140]) by ietfa.amsl.com (Postfix) with ESMTP id E3C5621F88B3 for ; Mon, 2 Apr 2012 05:15:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=cisco.com; i=[email-masked]; l=2684; q=dns/txt; s=iport; t=1333368907; x=1334578507; h=subject:mime-version:from:in-reply-to:date:cc:message-id: references:to; bh=OYUOMJbNTo5I9t0Siy5f1tNWGDgL8tuNh5Tnro8CH2g=; b=bR2SLsz8tJeACXtVUNqP9KPLcwJSMfVosJGwBH+Cn1yRy7gbhiYv8l7n ouuBnjKYIUf8Y6Qs5YoKaPdH7k3RVBmPkCNPAei1MbgULOW1/2ONkvc/1 DkOKle9ZXfToEz2bx88T43xJSCmI43QS+RJA3dLfxs2yPLaAuV4ZvJzVn 0=;
X-Files: signature.asc : 203
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EAHmXeU+Q/khN/2dsb2JhbABDuRyBB4IJAQEBAwEBAQEPAVsLBQcECxEEAQEBJwcnHwkIBhMih2IFC594lmkEkDljBI5ohnmFcIhXgWiCaQ
X-IronPort-AV: E=Sophos;i="4.75,357,1330905600"; d="asc'?scan'208";a="134017022"
Received: from ams-core-4.cisco.com ([144.254.72.77]) by ams-iport-1.cisco.com with ESMTP; 02 Apr 2012 12:15:05 +0000
Received: from [64.103.30.99] ([64.103.30.99]) by ams-core-4.cisco.com (8.14.3/8.14.3) with ESMTP id q32CF49E019469; Mon, 2 Apr 2012 12:15:04 GMT
Mime-Version: 1.0 (Apple Message framework v1257)
Content-Type: multipart/signed; boundary="Apple-Mail=_0DB2A916-6B4B-4658-A2C4-A2341B0EF0D2"; protocol="application/pgp-signature"; micalg=pgp-sha1
From: Carlos Pignataro
In-Reply-To: <[email-masked]>
Date: Mon, 2 Apr 2012 14:15:05 +0200
Message-Id: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
To: Yaakov Stein
X-Mailer: Apple Mail (2.1257)
Cc: "[email-masked]"
Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.12
Precedence: list
List-Id: Performance Metrics Directorate list
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
X-List-Received-Date: Mon, 02 Apr 2012 12:15:13 -0000

--Apple-Mail=_0DB2A916-6B4B-4658-A2C4-A2341B0EF0D2
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
charset=us-ascii

No additional documents to review, but please find one comment inline.

On Mar 27, 2012, at 4:57 PM, Yaakov Stein wrote:

> Other than draft-tempia-opsawg-p3m, which we have discussed before,=20
> I would suggest looking into the work proposed in MPLS on =
performance-based path selection=20
> (e.g., draft-atlas-mpls-te-express-path).
>=20
> Had we been ready earlier, we would have taken a look at what became
> RFC 6374 and 6375, but that is now water under the bridge.
>=20
> I checked the OAM proposal in trill (draft-ietf-trill-rbridge-oam)=20
> and it is pure FM OAM, with no PM features. At least for now.

Even though it is not in the documents, there were some discussions =
about passive performance metrics in OAM discussions (traceflow, IIRC =
even trill). So I think this is an area to snoop for how things =
progress.

Thanks,

-- Carlos.

>=20
> Y(J)S
>=20
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf =
Of Al Morton
> Sent: Tuesday, March 27, 2012 15:41
> To: Romascanu, Dan (Dan); [email-masked]
> Subject: Re: [PMOL] Thoughts on how we operate as a Directorate
>=20
> At 11:49 AM 1/23/2012, Romascanu, Dan (Dan) wrote:
>> Probably going beyond the name of the document is desirable - looking
>> into the content for strings like 'performance metrics', 'performance
>> monitoring', etc. could reveal things that are missed by just =
scanning
>> the titles.
>=20
> So, now that we've all had a chance to wade through docs in our
> normal working areas:
>=20
> Has anyone seen a draft we should be reviewing/considering?
>=20
> Let us all know, and we'll take the next steps,
> Al
>=20
>=20
>=20
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol
>=20

--Apple-Mail=_0DB2A916-6B4B-4658-A2C4-A2341B0EF0D2
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
filename=signature.asc
Content-Type: application/pgp-signature;
name=signature.asc
Content-Description: Message signed with OpenPGP using GPGMail

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)

iEYEARECAAYFAk95mEkACgkQtfDPGTp3USz11wCfTfk5TiQTrhIZjN7P22FhA4v8
MFEAoLTant9bHIxRKDI8bqLMiXkyJwL2
=5+JG
-----END PGP SIGNATURE-----

--Apple-Mail=_0DB2A916-6B4B-4658-A2C4-A2341B0EF0D2--